#ifndef _BBCBILLBOARDCLOUD_H
#define _BBCBILLBOARDCLOUD_H

#include <BBCBillboardGroup.h>
#include <BBCBillboard.h>
#include <BBCEntityCluster.h>
#include <BBCEntity.h>

#include <vector>

namespace BBC {

class _BBCExport BillboardCloud {
  public:
    BillboardCloud();

    ~BillboardCloud();


  protected:
    vector<Billboard*> mBillboardList;


  public:
    vector<Billboard*>* getBillboardList();

    void setBillboardList(vector<Billboard*> &value);

    void addBillboard(Billboard* value);

    void removeBillboard(unsigned int value);

	Billboard* getBillboard(unsigned int value);	

	unsigned int BillboardCloud::getNumBillboards();

	void generateBillboardCloud(bool mergeBillboards);

  protected:
	Entity *mEntity;


  public:
	Entity* getEntity();

	void setEntity(Entity *value);

};

}
#endif
