#ifndef _IMGCLUSTERLIST_H
#define _IMGCLUSTERLIST_H


#include "IMGCluster.h"

namespace IMG {

//*
//	ClusterList
//*
class ClusterList {
  public:
    inline ClusterList() {
      	list.reserve(100);
      };

    //std::vector<Polygon*> * GetList() { return &list;}	//return the pointer to the list of voxels
    inline std::vector<Cluster> * GetList() { return &list;};

    //return the pointer to the list of voxels
    inline int GetSize() const { return list.size(); }

    //return the number of elements of list
    inline Cluster * Get(unsigned int i) {
        if (i <= list.size()) return &list[i];
        //if (i <= list.size()) return list[i];
        return NULL;
      };

    bool Insert(Cluster * p);

    void Print();


  private:
    std::vector<Cluster> list;

  public:
    ~ClusterList();

};

}
#endif
