#ifndef _BBCTIMER_H
#define _BBCTIMER_H

#include <BBCPrerequisites.h>
#include <BBCSingleton.h>
#include <BBCEntity.h>

namespace BBC {

class _BBCExport Timer
{
  protected:
	time_t mTimer;
	struct tm *mInitTime;
	struct tm *mEndTime;

  public:
	void start();

	void stop();

	void printStartTime();

	void printStopTime();
};

}

#endif