#ifndef _IMGCLUSTER2D_H
#define _IMGCLUSTER2D_H

#include "IMGCluster.h"

namespace IMG {

class Cluster2d {
  public:
    inline Cluster2d() {
    		Vector3s = NULL;
    		cluster =NULL;
    		normal = NULL;
    	};

    //* Create a 2d polygon from a polygon 3d. The projecte polygon is belong the dominant normal.
    //			
    //	 
    int Create2d(Cluster * cluster, int type, int type_vertexs);

    void Print();

	inline Ogre::Vector2 * GetVector3s() { return Vector3s; }

	inline std::vector<Ogre::Vector2> * GetVector3sVector() { return &Vector3s2_vector; } 

	inline Ogre::Vector3 * GetNormal() { return normal; }


  private:
    unsigned int id;

    Cluster * cluster;

	Ogre::Vector2 *Vector3s;
	std::vector<Ogre::Vector2> Vector3s2_vector;

	Ogre::Vector3 *normal;

  public:
    ~Cluster2d();

};

}
#endif
