#ifndef _LBBCLEAFDISTRIBUTIONGENERATOR_H
#define _LBBCLEAFDISTRIBUTIONGENERATOR_H

#include <BBC.h>
#include <LBBCLeaf.h>
#include <LBBCLeafDistribution.h>

namespace LBBC {

class _BBCExport LeafDistributionGenerator : public BBC::EntityDistributionGenerator {
	
  public:

    LeafDistributionGenerator();

    ~LeafDistributionGenerator();

	void generateAverageLeafNormal(Leaf *leaf);

	void generateNormalDThreshold(float &minD, float &maxD, Ogre::Vector3 &minNormal, Ogre::Vector3 &maxNormal);

	void generate();
 	
};

}
#endif
