#ifndef _LBBCLEAVES_H
#define _LBBCLEAVES_H

#include <BBC.h>
#include <LBBCLeafDistribution.h>

namespace LBBC {

class _BBCExport Leaves {
  public:
    Leaves();

    ~Leaves();

  protected:
    bool mMeshLoaded;

	Ogre::Mesh *mMesh;

	BBC::BillboardCloud *mBillboardCloud;

  public:
	Ogre::Mesh* getMesh();

	void setMesh(Ogre::Mesh * value);

    void load();

    void unload();

	void setBillboardCloud(BBC::BillboardCloud *value);

	BBC::BillboardCloud* getBillboardCloud();

  protected:
    LeafDistribution *mLeafDistribution;
	
  public:	

    void addLeaf(const Leaf & value);

    void removeLeaf(unsigned int value);

    void initLeavesDistribution();

    void initBillboardCloud();

	LeafDistribution* getDistribution();

	 void setDistribution(LeafDistribution* leafDistribution);

};


}
#endif
